Subject: Re: Mutualism

From: Gaden Robinson <[email-masked]>
Date: Thu, 11 May 1995 19:05:04 GMT

What Kevin Tuck is too bashful to tell you all re: mutualism is that he is
getting married this Saturday. Best wishes to him and Jenny from his many
lepidopterist friends around the world!!!
----------------------------------------------------------------------
Dr Gaden S. Robinson, Biodiversity Division, Department of Entomology,
The Natural History Museum, Cromwell Road, LONDON SW7 5BD, UK.
Tel.: +44-(0)171-938-9494. Fax: +44-(0)171-938-8937.
INTERNET: [email-masked] [or] [email-masked]
----------------------------------------------------------------------